/*

ReadTextFromFile Plugin header

Author : Benot Vogel
Date : 24/05/2013

*/

// constants used for read mode variables
enum RTTFReadMode
{
	F_ALL,
	F_CHAR,
	F_LINE,
	F_PARAGRAPH,
	F_UNDEFINED
}; 

// constants used for line break mode variables
enum RTTFNewLineMode
{
	F_WINDOWS,
	F_UNIX,
	F_MAC,
	F_NLUNDEFINED
}; 

// constants that identify the line ending type discovered in a file
enum RTTFLineEndingType
{
	kRTTFLineEndingType_Unknown,
	kRTTFLineEndingType_Windows,
	kRTTFLineEndingType_Unix,
	kRTTFLineEndingType_MacOS,
	kRTTFLineEndingType_Mixed
};
