// ===========================================================================
//	MacColorSpaces				(c) 2015 Mark F. Coniglio. All rights reserved
// ===========================================================================
#ifndef _H_MacColorSpaces
#define _H_MacColorSpaces

#if TARGET_OS_MAC

	#include <string>

	class StDefaultRGBColorSpace
	{
	public:
					StDefaultRGBColorSpace();
					
					~StDefaultRGBColorSpace();
	
		operator	CGColorSpaceRef()
						{ return mColorSpace; }
	private:
		CGColorSpaceRef	mColorSpace;
	};

	class StGreyColorSpace
	{
	public:
					StGreyColorSpace();
					
					~StGreyColorSpace();
	
		operator	CGColorSpaceRef()
						{ return mColorSpace; }
	private:
		CGColorSpaceRef	mColorSpace;
	};

	class StCoreImageColorSpace
	{
	public:
					StCoreImageColorSpace();
					
					~StCoreImageColorSpace();
	
		operator	CGColorSpaceRef()
						{ return mColorSpace; }
	private:
		CGColorSpaceRef	mColorSpace;
	};

	CGColorSpaceRef GetDefaultRGBColorSpaceX();
	CGColorSpaceRef CreateCoreImageColorSpaceX();
	CGColorSpaceRef ColorSpace_Grey_BitmapSourceX();

#endif	// #if TARGET_OS_MAC

#endif	//#ifndef _H_MacColorSpaces

